E-MailRelay

Public Member Functions | Static Public Member Functions | Friends | List of all members
G::Process::Id Class Reference

Process-id class. More...

`#include <gprocess.h>`

## Public Member Functions
| Id (const char *, const char *end) noexcept
| Id (int) noexcept
| Id (std::istream &)
std::string | str () const
bool | operator== (const Id &) const noexcept
bool | operator!= (const Id &) const noexcept

## Static Public Member Functions
static Id | invalid () noexcept

## Friends
class | NewProcess
class | Process

## Detailed Description

Process-id class.

Definition at line 139 of file gprocess.h.

## Constructor & Destructor Documentation

## ◆ Id() [1/4]

G::Process::Id::Id | ( |  | ) |
| noexcept

Definition at line 238 of file gprocess_unix.cpp.

## ◆ Id() [2/4]

G::Process::Id::Id | ( | const char * | p,
|  | const char * | end
| ) |  |
| inline explicit noexcept

Definition at line 186 of file gprocess.h.

## ◆ Id() [3/4]

G::Process::Id::Id | ( | int | n | ) |
| inline explicit noexcept

Definition at line 176 of file gprocess.h.

## ◆ Id() [4/4]

G::Process::Id::Id | ( | std::istream & | stream | ) |
| inline explicit

Definition at line 181 of file gprocess.h.

## Member Function Documentation

## ◆ invalid()

G::Process::Id G::Process::Id::invalid | ( |  | ) |
| inline static noexcept

Definition at line 194 of file gprocess.h.

## ◆ operator!=()

bool G::Process::Id::operator!= | ( | const Id & | other | ) | const
| noexcept

Definition at line 255 of file gprocess_unix.cpp.

## ◆ operator==()

bool G::Process::Id::operator== | ( | const Id & | other | ) | const
| noexcept

Definition at line 250 of file gprocess_unix.cpp.

## ◆ str()

std::string G::Process::Id::str | ( |  | ) | const

Definition at line 243 of file gprocess_unix.cpp.

## Friends And Related Function Documentation

## ◆ NewProcess

friend class NewProcess
| friend

Definition at line 152 of file gprocess.h.

## ◆ Process

friend class Process
| friend

Definition at line 153 of file gprocess.h.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gprocess.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gprocess_unix.cpp